ProCKSI - Enhancement #38
Please Increase the limit of number of proteins to be analysed
06/05/2008 01:51 PM - Anonymous

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: Anonymous % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 9.0

Resolution: fixed

Description

| have got large datasets containing 257,295,361,460 and 504 proteins respectively. Its not possible to break them down in smaller sets
for analysing with [[ProCKSI]]. Generally, even bigger datasets are reported in literature for analysis of protein structure and comparison.
It would really be a great help particularly in my work to be able to analyse the large datasets with [[ProCKSI]].

Thank you

History

#1 - 07/19/2007 02:28 PM - Anonymous
Problem:[[br]]
Currently, [[ProCKSI]] deals with each dataset as a whole for each task and needs to post-process the complete results in one go.
- Huge amounts of data have to be transferred from the compute node to the head node for post-processing.
- Standardising/clustering/etc. needs to deal with all results at once and can take too much time loosing the connection to the browser (see #39).

Intermediate Solution:[[br]]
| have temporarily increased the number of proteins per dataset to 400.[[br]]
It seems that this is the utmost limit that [[ProCKSI]] can handle in the current design. [[br]]
The limit will possibly be descreased again as soon as more people want to use [[ProCKSI]] at the same time.
Permanent Solution:[[br]]
- Tasks have to be broken down into smaller junks. The size of the results will be smaller and much easier to handle.
- Post-processing tasks must be put into a (seperate, high-priority) queue and listed in the overview page similar to the main calculation tasks.

#2 - 04/08/2008 10:25 AM - Anonymous
- Status changed from New to In Progress
#3 - 06/05/2008 01:51 PM - Anonymous

- Status changed from In Progress to Closed

- Resolution set to fixed

Was fixed in r589 for All-against-Target comparisons.
